const generate = require('@babel/generator').default
const { babelPlugins } = require('./vars')

/**
 * watch的函数名称
 * @param {*} str
 */
const watchFnName = str => {
  str = str.replace(/[^\w]/g, '')
  return str.slice(0, 1).toLocaleUpperCase() + str.slice(1)
}

/**
 * Watch 的参数
 * @param {*} str
 */
const watchParamStr = params => {
  return generateFn(params).replace(/['"]/g, '')
}

const generateFn = node => {
  return generate(node, {
    plugins: babelPlugins
  }).code
}

/**
 * 截取部分函数，例如 getFnMain('function (a, b) {}') => (a, b) {}
 * @param {String} fn 函数字符串
 */
const getFnMain = fn => {
  return fn.replace(/[\s\S]+?(?=\()/, '')
}

/**
 * 首字母大写
 * @param {*} str
 */
const capUpper = str => {
  return str[0].toUpperCase() + str.slice(1)
}

module.exports = {
  watchFnName,
  generateFn,
  watchParamStr,
  getFnMain,
  capUpper
}