module.exports = {
  vueLifeCycle: ['beforeCreate', 'created', 'beforeMount', 'mounted', 'beforeUpdate', 'updated', 'activated', 'deactivated', 'beforeDestroy', 'destroyed', 'errorCaptured'],
  ts2jsTypeMap: {
    String: 'string',
    Number: 'number',
    Boolean: 'boolean',
    Array: 'Array<any>',
    Function: 'Function',
    Undefined: 'undefined'
  },
  ts2bableTypeMap: {
    StringLiteral: 'string',
    NumericLiteral: 'number',
    BooleanLiteral: 'boolean',
    ArrayExpression: 'Array<any>',
    FunctionExpression: 'Function',
  },
  babelPlugins: [
    'typescript',
    'asyncGenerators',
    'classProperties',
    ['decorators', { decoratorsBeforeExport: true }],
    'doExpressions',
    'dynamicImport',
    'exportDefaultFrom',
    'exportNamespaceFrom',
    'objectRestSpread',
    'optionalCatchBinding',
    'throwExpressions'
  ]
}